Bug 439692 - pk-install-file doesn't resolve relative path
pk-install-file doesn't resolve relative path
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 11:00 EDT by Jonathan Blandford
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 05:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2008-03-30 11:00:36 EDT
Somewhat unexpected behavior:

%pk-install-file ./gnome-desktop-devel-2.22.0-4.fc9.i386.rpm 
 [ Error dialog]
%pk-install-file /home/jrb/Desktop/gnome-desktop-devel-2.22.0-4.fc9.i386.rpm 
 [ Success! ]
Comment 1 Richard Hughes 2008-03-30 11:48:12 EDT
Ahh, of course, good catch.
Comment 2 Richard Hughes 2008-03-30 12:40:19 EDT
I've fixed this in git, commit 8e6fe1131443db8f86ac3a6587e922d31948cf20

Note You need to log in before you can comment on or make changes to this bug.